Skip to main content
`Ctrl`+`K`

# AOSetFromOptions

Sets `AO` options from the options database.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOSetFromOptions(AO ao)

Collective

## Input Parameter

- ao - the application ordering

## Options Database Key

- -ao_type (basic|memoryscalable) - sets the type of the `AO`

## See Also

Application Orderings, `AO`, `AOCreate()`, `AOSetType()`, `AODestroy()`, `AOPetscToApplication()`, `AOApplicationToPetsc()`

## Level

beginner

## Location

src/vec/is/ao/interface/ao.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages